<?php
namespace Incoviba\old\Proyecto;

use Incoviba\Common\Alias\OldModel as Model;

/**
 * @property Agente $agente
 * @property TipoAgente $tipo
 */
class AgenteTipo extends Model
{
    public function agente()
    {
        return $this->belongsTo(Agente::class, 'agente')->findOne();
    }
    public function tipo()
    {
        return $this->belongsTo(TipoAgente::class, 'tipo')->findOne();
    }
}